package com.bonus.canteen.core.supply.purchase.domain.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.bonus.canteen.core.utils.SysUtil;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;

@TableName(
   value = "drp_supplier_deliver",
   autoResultMap = true
)
public class DrpSupplierDeliverVO {
   private Long id;
   @ApiModelProperty("送货人id")
   private Long deliveryId;
   @ApiModelProperty("送货人名称")
   private String deliveryMan;
   @ApiModelProperty("送货人电话")
   private String deliveryPhone;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("创建人")
   private String createBy;
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @ApiModelProperty("更新人")
   private String updateBy;
   @ApiModelProperty("更新时间")
   private LocalDateTime updateTime;
   @ApiModelProperty("健康证有效期")
   private LocalDate healthValidity;
   @ApiModelProperty("健康证图片")
   private String healthImageUrl;

   public String getHealthImageUrl() {
      return SysUtil.getCutFileUrl(this.healthImageUrl);
   }

   public Long getId() {
      return this.id;
   }

   public Long getDeliveryId() {
      return this.deliveryId;
   }

   public String getDeliveryMan() {
      return this.deliveryMan;
   }

   public String getDeliveryPhone() {
      return this.deliveryPhone;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public LocalDate getHealthValidity() {
      return this.healthValidity;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setDeliveryId(final Long deliveryId) {
      this.deliveryId = deliveryId;
   }

   public void setDeliveryMan(final String deliveryMan) {
      this.deliveryMan = deliveryMan;
   }

   public void setDeliveryPhone(final String deliveryPhone) {
      this.deliveryPhone = deliveryPhone;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setHealthValidity(final LocalDate healthValidity) {
      this.healthValidity = healthValidity;
   }

   public void setHealthImageUrl(final String healthImageUrl) {
      this.healthImageUrl = healthImageUrl;
   }

   public String getCreateBy() {
      return createBy;
   }

   public void setCreateBy(String createBy) {
      this.createBy = createBy;
   }

   public LocalDateTime getCreateTime() {
      return createTime;
   }

   public void setCreateTime(LocalDateTime createTime) {
      this.createTime = createTime;
   }

   public String getUpdateBy() {
      return updateBy;
   }

   public void setUpdateBy(String updateBy) {
      this.updateBy = updateBy;
   }

   public LocalDateTime getUpdateTime() {
      return updateTime;
   }

   public void setUpdateTime(LocalDateTime updateTime) {
      this.updateTime = updateTime;
   }
}
